<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: データフィールド</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li class="current"><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>ファイル一覧</span></a></li>
      <li class="current"><a href="globals.html"><span>グローバル</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals.html"><span>全て</span></a></li>
      <li><a href="globals_func.html"><span>関数</span></a></li>
      <li class="current"><a href="globals_vars.html"><span>変数</span></a></li>
      <li><a href="globals_type.html"><span>型定義</span></a></li>
      <li><a href="globals_enum.html"><span>列挙型</span></a></li>
      <li><a href="globals_eval.html"><span>列挙型の値</span></a></li>
      <li><a href="globals_defs.html"><span>マクロ定義</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals_vars.html#index_1"><span>1</span></a></li>
      <li><a href="globals_vars_0x61.html#index_a"><span>a</span></a></li>
      <li><a href="globals_vars_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="globals_vars_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="globals_vars_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="globals_vars_0x65.html#index_e"><span>e</span></a></li>
      <li class="current"><a href="globals_vars_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="globals_vars_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="globals_vars_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="globals_vars_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="globals_vars_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="globals_vars_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="globals_vars_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="globals_vars_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="globals_vars_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="globals_vars_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="globals_vars_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="globals_vars_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="globals_vars_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="globals_vars_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="globals_vars_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="globals_vars_0x78.html#index_x"><span>x</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
&nbsp;

<h3><a class="anchor" id="index_f">- f -</a></h3><ul>
<li>Mface
: <a class="el" href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789">face.c</a>
</li>
<li>mface_black
: <a class="el" href="group__m17nFace.html#ga543d0f7aaf8c6928fe0ccaafd880fbbb">face.c</a>
, <a class="el" href="group__m17nFace.html#ga543d0f7aaf8c6928fe0ccaafd880fbbb">m17n-gui.h</a>
</li>
<li>mface_blue
: <a class="el" href="group__m17nFace.html#ga34c0c7c3fb1761d860feafb20dca48d8">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#ga34c0c7c3fb1761d860feafb20dca48d8">face.c</a>
</li>
<li>mface_bold
: <a class="el" href="group__m17nFace.html#ga0df472269e69bfd1a7982e7ff4183399">face.c</a>
, <a class="el" href="group__m17nFace.html#ga0df472269e69bfd1a7982e7ff4183399">m17n-gui.h</a>
</li>
<li>mface_bold_italic
: <a class="el" href="group__m17nFace.html#ga5d704867552bb8ec683667c414a1960f">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#ga5d704867552bb8ec683667c414a1960f">face.c</a>
</li>
<li>mface_cyan
: <a class="el" href="group__m17nFace.html#ga4bc98951d16a82de13639aa8c8013896">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#ga4bc98951d16a82de13639aa8c8013896">face.c</a>
</li>
<li>mface_green
: <a class="el" href="group__m17nFace.html#ga4fa43459206e1b3278aff593ace876f3">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#ga4fa43459206e1b3278aff593ace876f3">face.c</a>
</li>
<li>mface_italic
: <a class="el" href="group__m17nFace.html#gacd10c2f30a5e48c509cb5b3883392f6c">face.c</a>
, <a class="el" href="group__m17nFace.html#gacd10c2f30a5e48c509cb5b3883392f6c">m17n-gui.h</a>
</li>
<li>mface_large
: <a class="el" href="group__m17nFace.html#gabbaeffa03c89e6816aeeb297bf5e7f25">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#gabbaeffa03c89e6816aeeb297bf5e7f25">face.c</a>
</li>
<li>mface_magenta
: <a class="el" href="group__m17nFace.html#gabbd1e5c77c470ba79b2df149ea6c9342">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#gabbd1e5c77c470ba79b2df149ea6c9342">face.c</a>
</li>
<li>mface_medium
: <a class="el" href="group__m17nFace.html#gaf72a0b0f8b7b55ac6cd964e5b790957d">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#gaf72a0b0f8b7b55ac6cd964e5b790957d">face.c</a>
</li>
<li>mface_normal_video
: <a class="el" href="group__m17nFace.html#ga823bc052a591dc3f34369d4144368842">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#ga823bc052a591dc3f34369d4144368842">face.c</a>
</li>
<li>mface_normalsize
: <a class="el" href="group__m17nFace.html#gaf72155c34c65f7060f8437d11091b78d">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#gaf72155c34c65f7060f8437d11091b78d">face.c</a>
</li>
<li>mface_red
: <a class="el" href="group__m17nFace.html#gaf5a2e1502310dab37917e345d6f98bb1">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#gaf5a2e1502310dab37917e345d6f98bb1">face.c</a>
</li>
<li>mface_reverse_video
: <a class="el" href="group__m17nFace.html#gad67af3cfdfd7a80e67ba7d70674d1d2b">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#gad67af3cfdfd7a80e67ba7d70674d1d2b">face.c</a>
</li>
<li>mface_small
: <a class="el" href="group__m17nFace.html#gacfd385bdf0694027519083543fb44ea7">face.c</a>
, <a class="el" href="group__m17nFace.html#gacfd385bdf0694027519083543fb44ea7">m17n-gui.h</a>
</li>
<li>mface_underline
: <a class="el" href="group__m17nFace.html#gac8125083ae3f99f61ad3e1590c71d8b3">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#gac8125083ae3f99f61ad3e1590c71d8b3">face.c</a>
</li>
<li>mface_white
: <a class="el" href="group__m17nFace.html#ga0e85607d4a72fb0092924130206dbf70">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#ga0e85607d4a72fb0092924130206dbf70">face.c</a>
</li>
<li>mface_x_large
: <a class="el" href="group__m17nFace.html#ga783f8190b9508c6942fa5cd7eed94f6f">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#ga783f8190b9508c6942fa5cd7eed94f6f">face.c</a>
</li>
<li>mface_x_small
: <a class="el" href="group__m17nFace.html#ga8a766181eaa65b4c7346598ef7a3b87a">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#ga8a766181eaa65b4c7346598ef7a3b87a">face.c</a>
</li>
<li>mface_xx_large
: <a class="el" href="group__m17nFace.html#gab0438da79ed1ab3b4fc2a298f09151cc">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#gab0438da79ed1ab3b4fc2a298f09151cc">face.c</a>
</li>
<li>mface_xx_small
: <a class="el" href="group__m17nFace.html#ga2b3db59701b640f46154835473f4033c">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#ga2b3db59701b640f46154835473f4033c">face.c</a>
</li>
<li>mface_yellow
: <a class="el" href="group__m17nFace.html#ga23cd00ce0804f3e64d8cf3b245a58dac">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#ga23cd00ce0804f3e64d8cf3b245a58dac">face.c</a>
</li>
<li>Mfamily
: <a class="el" href="group__m17nFont.html#gab297101760f7573ab33b846ccbda7500">m17n-gui.h</a>
, <a class="el" href="group__m17nFont.html#gab297101760f7573ab33b846ccbda7500">font.c</a>
</li>
<li>Mfinal_byte
: <a class="el" href="group__m17nCharset.html#ga6fe1a313c304442d884f1dcefad262f0">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#ga6fe1a313c304442d884f1dcefad262f0">charset.c</a>
</li>
<li>Mflags
: <a class="el" href="group__m17nConv.html#ga508f30864b0b06fe2ca297f2ba339f3d">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga508f30864b0b06fe2ca297f2ba339f3d">coding.c</a>
</li>
<li>mflt_enable_new_feature
: <a class="el" href="group__m17nFLT.html#ga8fa9d49e4291440961b37717afce653b">m17n-flt.h</a>
, <a class="el" href="group__m17nFLT.html#ga8fa9d49e4291440961b37717afce653b">m17n-flt.c</a>
</li>
<li>mflt_font_id
: <a class="el" href="group__m17nFLT.html#ga34b4a542edc38d30fe6c5fc326b5a987">m17n-flt.h</a>
, <a class="el" href="group__m17nFLT.html#ga34b4a542edc38d30fe6c5fc326b5a987">m17n-flt.c</a>
</li>
<li>mflt_iterate_otf_feature
: <a class="el" href="group__m17nFLT.html#ga2286495d42b49ce59cb0730482a89c70">m17n-flt.h</a>
, <a class="el" href="group__m17nFLT.html#ga2286495d42b49ce59cb0730482a89c70">m17n-flt.c</a>
</li>
<li>mflt_try_otf
: <a class="el" href="group__m17nFLT.html#gac5e9a0518e0ca3b1ead5a7a9050846bb">m17n-flt.h</a>
, <a class="el" href="group__m17nFLT.html#gac5e9a0518e0ca3b1ead5a7a9050846bb">m17n-flt.c</a>
</li>
<li>Mfont
: <a class="el" href="group__m17nFrame.html#ga5d99e7994a0d1b4e24e4febe80403f99">m17n-gui.c</a>
, <a class="el" href="group__m17nFrame.html#ga5d99e7994a0d1b4e24e4febe80403f99">m17n-gui.h</a>
</li>
<li>Mfont_ascent
: <a class="el" href="group__m17nFrame.html#gac51e83ad0a410d95fb34f2dae9a0f702">m17n-gui.c</a>
, <a class="el" href="group__m17nFrame.html#gac51e83ad0a410d95fb34f2dae9a0f702">m17n-gui.h</a>
</li>
<li>Mfont_descent
: <a class="el" href="group__m17nFrame.html#gafc7b7df9268d89c57cdd075a3aeb2cd3">m17n-gui.h</a>
, <a class="el" href="group__m17nFrame.html#gafc7b7df9268d89c57cdd075a3aeb2cd3">m17n-gui.c</a>
</li>
<li>mfont_freetype_path
: <a class="el" href="group__m17nFont.html#ga0cc7b165764f76eebb58583b06220e8a">font.c</a>
, <a class="el" href="group__m17nFont.html#ga0cc7b165764f76eebb58583b06220e8a">m17n-gui.h</a>
</li>
<li>Mfont_width
: <a class="el" href="group__m17nFrame.html#gaaccde9d071c4889c5a73b36fce45e285">m17n-gui.h</a>
, <a class="el" href="group__m17nFrame.html#gaaccde9d071c4889c5a73b36fce45e285">m17n-gui.c</a>
</li>
<li>Mfontconfig
: <a class="el" href="group__m17nFont.html#gae72b66ecbfdf5a117614f76b694c5a34">font.c</a>
, <a class="el" href="group__m17nFont.html#gae72b66ecbfdf5a117614f76b694c5a34">m17n-gui.h</a>
</li>
<li>Mfontfile
: <a class="el" href="group__m17nFont.html#gacfad1cf7295887580fb3d96fc5e7bf4c">m17n-gui.h</a>
, <a class="el" href="group__m17nFont.html#gacfad1cf7295887580fb3d96fc5e7bf4c">font.c</a>
</li>
<li>Mfontset
: <a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f">face.c</a>
, <a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f">m17n-gui.h</a>
</li>
<li>Mforeground
: <a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f">m17n-gui.h</a>
, <a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f">face.c</a>
</li>
<li>Mfoundry
: <a class="el" href="group__m17nFont.html#gaaf47ff596e3d9768b214a039014b6ea5">font.c</a>
, <a class="el" href="group__m17nFont.html#gaaf47ff596e3d9768b214a039014b6ea5">m17n-gui.h</a>
</li>
<li>mframe_default
: <a class="el" href="group__m17nFrame.html#ga4a417bb182e3e1a42095185e52c012f3">m17n-gui.h</a>
, <a class="el" href="group__m17nFrame.html#ga4a417bb182e3e1a42095185e52c012f3">m17n-gui.c</a>
</li>
<li>Mfreetype
: <a class="el" href="group__m17nFont.html#ga49214e506ef5cecc1e0ef233f22e5491">font.c</a>
, <a class="el" href="group__m17nFont.html#ga49214e506ef5cecc1e0ef233f22e5491">m17n-gui.h</a>
</li>
<li>Mfull_support
: <a class="el" href="group__m17nConv.html#ga849aad9c3eb8dd18dbb326a03ee16dbd">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga849aad9c3eb8dd18dbb326a03ee16dbd">coding.c</a>
</li>
</ul>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
